# Method: projects.tenants.inboundSamlConfigs.get

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants.inboundSamlConfigs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants.inboundSamlConfigs/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants.inboundSamlConfigs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants.inboundSamlConfigs/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants.inboundSamlConfigs/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.tenants.inboundSamlConfigs/get#try-it)

Retrieve an inbound SAML configuration for an Identity Toolkit project.

### HTTP request

`GET https://identitytoolkit.googleapis.com/v2/{name=projects/*/tenants/*/inboundSamlConfigs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The resource name of the config, for example: 'projects/my-awesome-project/inboundSamlConfigs/my-config-id'. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `firebaseauth.configs.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/projects.inboundSamlConfigs#InboundSamlConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/firebase`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).